Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor
Class MinimizeProcessor

    java.lang.Object
      com.bea.portal.appflow.processor.AbstractPortalProcessor
          com.bea.portal.appflow.processor.MinimizeProcessor

All Implemented Interfaces:
  com.bea.p13n.appflow.webflow.InputProcessor

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public class MinimizeProcessor
extends AbstractPortalProcessor

Framework processor used to set a portlet into minimize mode. This processor gets called via webflow when the minimize button is clicked for a portlet. If the value of the property `delay.p13n.updates` in the portetl-context.properties file is set to `true` then the minimize state is only persisted when the user logs out, otherwise the state is persisted upon each click.

Constructor Summary
`MinimizeProcessor()` Deprecated.

Method Summary
`Object` | `process(HttpServletRequest request, HttpServletResponse response, PortalRequest portalRequest, Object requestContext)` Deprecated. Main process method called by webflow.

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MinimizeProcessor

    public MinimizeProcessor()

  Deprecated.

Method Detail

### process

    public Object process(HttpServletRequest request,
                          HttpServletResponse response,
                          PortalRequest portalRequest,
                          Object requestContext)
                   throws com.bea.p13n.appflow.exception.ProcessingException

  Deprecated.
  Main process method called by webflow. If the portlet is webflow enabled, this processor invokes the webflow event `bea.portal.framework.internal.portlet.minimize` it is the responsibility of the portlet developer to provide an implementation for the event

  Specified by:
    `process` in class `AbstractPortalProcessor`
  Returns:
    "success" if all is well
  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException` - if an error occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved